FUTHARK-FMT(1)

NAME
futhark-fmt - format Futhark programs

SYNOPSIS

futhark fmt [options...] [FILES]

DESCRIPTION

Reformat the given Futhark programs. If no files are provided, read Futhark program on stdin and produce formatted output on stdout. If stdout is a terminal, the output will be syntax highlighted.

In contrast to many other automatic formatters, the formatting is somewhat sensitive to the formatting of the input program. In particular, single-line expressions will usually be kept on a single line, even if they are very long. To force futhark fmt to break these, insert a linebreak at an arbitrary location.

OPTIONS

    --check
        Check if the given files are correctly formatted, and if not, terminate with an error message and a nonzero exit code.

    -h  Print help text to standard output and exit.

    -V  Print version information on standard output and exit.

SEE ALSO

futhark-doc <#futhark-doc-1>

Copyright
2013-2020, DIKU, University of Copenhagen